<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateIndexVideoUrl extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('index_video_url', function (Blueprint $table) {
            $table->increments('id');
            $table->string('img_path');
            $table->string('video_url');
            $table->string('script_url');
            $table->string('other_url');
            $table->string('title');
            $table->integer('type')->comment('1=董事长演讲2=企业宣传片3=企业活动4=媒体报道');
            $table->smallInteger('sequence')->default(0)->comment('排序');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('index_video_url');
    }
}
